<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('detail_penawaran_logs', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('detail_penawaran_id')->nullable();
            $table->unsignedBigInteger('kjpp_rekanan_id')->nullable();
            $table->unsignedBigInteger('penawaran_id')->nullable();
            $table->string('biaya_penawaran')->nullable();
            $table->string('attachment')->nullable();
            $table->string('dokumen_persetujuan')->nullable();
            $table->boolean('status')->nullable();
            $table->char('authorized_status', 1)->nullable();
            $table->timestamps();
            $table->timestamp('authorized_at')->nullable();
            $table->unsignedBigInteger('authorized_by')->nullable();
            $table->softDeletes();
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->unsignedBigInteger('deleted_by')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('detail_penawaran_logs');
    }
};
